# Update a strategy type PUT https://app.unleash-instance.example.com/api/admin/strategies/{name} Content-Type: application/json Updates the specified strategy type. Any properties not specified in the request body are left untouched. Reference: https://docs.getunleash.io/api/update-strategy ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Update a strategy type version: endpoint_strategies.updateStrategy paths: /api/admin/strategies/{name}: put: operationId: update-strategy summary: Update a strategy type description: >- Updates the specified strategy type. Any properties not specified in the request body are left untouched. tags: - - subpackage_strategies parameters: - name: name in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Strategies_updateStrategy_Response_200' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: updateStrategySchema content: application/json: schema: $ref: '#/components/schemas/updateStrategySchema' components: schemas: UpdateStrategySchemaParametersItemsType: type: string enum: - value: string - value: percentage - value: list - value: number - value: boolean UpdateStrategySchemaParametersItems: type: object properties: name: type: string description: The name of the parameter type: $ref: '#/components/schemas/UpdateStrategySchemaParametersItemsType' description: >- The [type of the parameter](https://docs.getunleash.io/concepts/activation-strategies#parameters) description: type: string description: >- A description of this strategy parameter. Use this to indicate to the users what the parameter does. required: type: boolean description: >- Whether this parameter must be configured when using the strategy. Defaults to `false` required: - name - type updateStrategySchema: type: object properties: description: type: string description: A description of the strategy type. parameters: type: array items: $ref: '#/components/schemas/UpdateStrategySchemaParametersItems' description: >- The parameter list lets you pass arguments to your custom activation strategy. These will be made available to your custom strategy implementation. required: - parameters Strategies_updateStrategy_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/strategies/name" payload = { "parameters": [ { "name": "Rollout percentage", "type": "percentage" } ] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/strategies/name'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"parameters":[{"name":"Rollout percentage","type":"percentage"}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/strategies/name" payload := strings.NewReader("{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/strategies/name") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/strategies/name") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/strategies/name', [ 'body' => '{ "parameters": [ { "name": "Rollout percentage", "type": "percentage" } ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/strategies/name"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"parameters\": [\n {\n \"name\": \"Rollout percentage\",\n \"type\": \"percentage\"\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["parameters": [ [ "name": "Rollout percentage", "type": "percentage" ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/strategies/name")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```